com.google.appengine.api.capabilities

## Enum CapabilityStatus

- java.lang.Object
- - java.lang.Enum<CapabilityStatus>
  - - com.google.appengine.api.capabilities.CapabilityStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CapabilityStatus>

      public enum CapabilityStatus
      extends java.lang.Enum<CapabilityStatus>

  Represents the status of a `Capability`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` The capability is disabled.
    `ENABLED` The capability is available and no maintenance is currently planned.
    `SCHEDULED_MAINTENANCE` The capability is available but scheduled for maintenance.
    `UNKNOWN` The status of the capability is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CapabilityStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CapabilityStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final CapabilityStatus ENABLED

      The capability is available and no maintenance is currently planned.

    - #### SCHEDULED_MAINTENANCE

          public static final CapabilityStatus SCHEDULED_MAINTENANCE

      The capability is available but scheduled for maintenance.

    - #### DISABLED

          public static final CapabilityStatus DISABLED

      The capability is disabled. API calls which depend on this capability will fail.

    - #### UNKNOWN

          public static final CapabilityStatus UNKNOWN

      The status of the capability is unknown.

  - ### Method Detail

    - #### values

          public static CapabilityStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CapabilityStatus c : CapabilityStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CapabilityStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null